UserInfo (gCube Social Networking Library 1.0.2-SNAPSHOT API)
Date: 2013-04-03

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.portal.databook.shared
Class UserInfo

    java.lang.Object
      org.gcube.portal.databook.shared.UserInfo

All Implemented Interfaces:
  Serializable

    public class UserInfo

extends Object
implements Serializable

Version:
  1.0 July 12th 2012
Author:
  Massimiliano Assante ISTI-CNR
See Also:
  Serialized Form

Field Summary
`static String` | `USER_INFO_ATTR`

Constructor Summary
`UserInfo()`
`UserInfo(String username, String fullName, String avatarId, String emailaddress, String accountURL, boolean male, boolean admin, HashMap<String,String> ownVREs)`

Method Summary
`String` | `getAccountURL()`
`String` | `getAvatarId()`
`String` | `getEmailaddress()`
`String` | `getFullName()`
`HashMap<String,String>` | `getOwnVREs()`
`String` | `getUsername()`
`boolean` | `isAdmin()`
`boolean` | `isMale()`
`void` | `setAccountURL(String accountURL)`
`void` | `setAdmin(boolean admin)`
`void` | `setAvatarId(String avatarId)`
`void` | `setEmailaddress(String emailaddress)`
`void` | `setFullName(String fullName)`
`void` | `setMale(boolean male)`
`void` | `setOwnVREs(HashMap<String,String> vreMap)`
`void` | `setUsername(String username)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### USER_INFO_ATTR

    public static final transient String USER_INFO_ATTR

See Also:
  Constant Field Values

Constructor Detail

### UserInfo

    public UserInfo()

### UserInfo

    public UserInfo(String username,
                    String fullName,
                    String avatarId,
                    String emailaddress,
                    String accountURL,
                    boolean male,
                    boolean admin,
                    HashMap<String,String> ownVREs)

Method Detail

### getAccountURL

    public String getAccountURL()

### setAccountURL

    public void setAccountURL(String accountURL)

### getUsername

    public String getUsername()

### setUsername

    public void setUsername(String username)

### getFullName

    public String getFullName()

### setFullName

    public void setFullName(String fullName)

### getAvatarId

    public String getAvatarId()

### setAvatarId

    public void setAvatarId(String avatarId)

### getEmailaddress

    public String getEmailaddress()

### setEmailaddress

    public void setEmailaddress(String emailaddress)

### isMale

    public boolean isMale()

### setMale

    public void setMale(boolean male)

### getOwnVREs

    public HashMap<String,String> getOwnVREs()

### setOwnVREs

    public void setOwnVREs(HashMap<String,String> vreMap)

### isAdmin

    public boolean isAdmin()

### setAdmin

    public void setAdmin(boolean admin)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.